From 88e54117184c4dcb30b1b64f4b40b1ae2f634ac2 Mon Sep 17 00:00:00 2001 From: Dan Vanderkam Date: Wed, 28 Dec 2016 12:12:43 -0500 Subject: [PATCH] remove mentions of dygraph-combined --- .github/CONTRIBUTING.md | 4 ++-- .github/ISSUE_TEMPLATE.md | 4 ++-- README.md | 3 ++- docs/tutorial.html | 15 ++++++++++----- gallery/gallery.js | 2 +- gwt/org/danvk/Dygraphs.java | 2 +- scripts/build.sh | 3 --- scripts/generate-download.py | 19 ++++++++----------- scripts/push-to-web.sh | 5 ++--- scripts/release.sh | 25 +++++-------------------- scripts/weigh-in.sh | 2 +- 11 files changed, 34 insertions(+), 50 deletions(-) diff --git a/.github/CONTRIBUTING.md b/.github/CONTRIBUTING.md index ee72da0..80d7cf2 100644 --- a/.github/CONTRIBUTING.md +++ b/.github/CONTRIBUTING.md @@ -7,13 +7,13 @@ It also helps if you include the non-compacted version of the JS on your page. For instance, instead of doing this: ```html - + ``` do this: ```html - + ``` This makes error messages and debugging simpler. The jsfiddle does this automatically. diff --git a/.github/ISSUE_TEMPLATE.md b/.github/ISSUE_TEMPLATE.md index 75d0c7a..3bbac04 100644 --- a/.github/ISSUE_TEMPLATE.md +++ b/.github/ISSUE_TEMPLATE.md @@ -8,13 +8,13 @@ It also helps if you include the non-compacted version of the JS on your page. For instance, instead of doing this: ```html - + ``` do this: ```html - + ``` This makes error messages and debugging simpler. The jsfiddle does this automatically. diff --git a/README.md b/README.md index 9abb9a1..8e639e5 100644 --- a/README.md +++ b/README.md @@ -24,7 +24,8 @@ Get help with dygraphs on ```html - + +
diff --git a/docs/tutorial.html b/docs/tutorial.html index 7a00593..3e9f293 100644 --- a/docs/tutorial.html +++ b/docs/tutorial.html @@ -6,7 +6,8 @@ } -

To use dygraphs, include the dygraph-combined-dev.js JavaScript file and instantiate a Dygraph object.

+

To use dygraphs, include the dygraph.js JavaScript file +and dygraph.css CSS file. Then instantiate a Dygraph object.

Here's a basic example to get things started:

@@ -17,7 +18,8 @@ <html> <head> <script type="text/javascript" - src="dygraph-combined-dev.js"></script> + src="dygraph.js"></script> +<link rel="stylesheet" src="dygraph.css" /> </head> <body> <div id="graphdiv"></div> @@ -69,7 +71,8 @@ <html> <head> <script type="text/javascript" - src="dygraph-combined-dev.js"></script> + src="dygraph.js"></script> +<link rel="stylesheet" src="dygraph.css" /> </head> <body> <div id="graphdiv2" @@ -120,7 +123,8 @@ <html> <head> <script type="text/javascript" - src="dygraph-combined-dev.js"></script> + src="dygraph.js"></script> +<link rel="stylesheet" src="dygraph.css" /> </head> <body> <div id="graphdiv3" @@ -170,7 +174,8 @@ <html> <head> <script type="text/javascript" - src="combined.js"></script> + src="dygraph.js"></script> +<link rel="stylesheet" src="dygraph.css" /> </head> <body> <div id="graphdiv4" diff --git a/gallery/gallery.js b/gallery/gallery.js index f8b4cee..9f7e79b 100644 --- a/gallery/gallery.js +++ b/gallery/gallery.js @@ -89,7 +89,7 @@ Gallery.start = function() { jsfs.html("\n" + "\n" + - "\n" + + "\n" + "\n"); var javascript = demo.run.toString(); diff --git a/gwt/org/danvk/Dygraphs.java b/gwt/org/danvk/Dygraphs.java index f581577..b603a72 100644 --- a/gwt/org/danvk/Dygraphs.java +++ b/gwt/org/danvk/Dygraphs.java @@ -15,7 +15,7 @@ public class Dygraphs { // Protected because the GWT compiler has to generate a subclass. protected interface Resources extends ClientBundle { - @Source("org/danvk/dygraph-combined.js") + @Source("org/danvk/dygraph.min.js") TextResource dygraphs(); } diff --git a/scripts/build.sh b/scripts/build.sh index 35159e4..279597a 100755 --- a/scripts/build.sh +++ b/scripts/build.sh @@ -45,9 +45,6 @@ uglifyjs --compress --mangle \ -o dist/dygraph.min.js \ dist/dygraph.tmp.js -# Copy to the old location -cp dist/dygraph.min.js dist/dygraph-combined.js - # Build GWT JAR jar -cf dist/dygraph-gwt.jar -C gwt org diff --git a/scripts/generate-download.py b/scripts/generate-download.py index 2d2dd48..3c51e52 100755 --- a/scripts/generate-download.py +++ b/scripts/generate-download.py @@ -51,27 +51,24 @@ print '''

There's a hosted version of dygraphs on cdnjs.com:

-
<script src="//cdnjs.cloudflare.com/ajax/libs/dygraph/%(version)s/dygraph-combined.js"></script>
+
<script src="//cdnjs.cloudflare.com/ajax/libs/dygraph/%(version)s/dygraph.min.js"></script>
+<link rel="stylesheet" src="//cdnjs.cloudflare.com/ajax/libs/dygraph/%(version)s/dygraph.min.css" />
+
-

You can install dygraphs using NPM or Bower.

+

You can also install dygraphs using NPM:

-

To install using NPM:

$ npm install dygraphs
-# dygraphs is now in node_modules/dygraphs/dygraph-combined.js
- -

To install using bower:

-
$ bower install dygraphs
-# dygraphs is now in bower_components/dygraphs/dygraph-combined.js
+# dygraphs is now in node_modules/dygraphs/dygraph.js -

Most distributions include a source map. For non-concatenated JS, see dygraph-dev.js on github. +

Most distributions include a source map to facilitate debugging.

To generate your own minified JS, run:

git clone https://github.com/danvk/dygraphs.git
-./generate-combined.sh
+npm run build
 
-

This will create a dygraph.min.js file in the dygraphs directory.

+

This will create a dygraph.min.js file in the dist directory.

You may also download files for previously-released versions:

diff --git a/scripts/push-to-web.sh b/scripts/push-to-web.sh index db5f54f..7d062d4 100755 --- a/scripts/push-to-web.sh +++ b/scripts/push-to-web.sh @@ -1,6 +1,5 @@ #!/bin/bash -# This script generates the combined JS file, pushes all content to a web site -# and then reverts the combined file. +# This script generates the bundled JS files and pushes all content to a web site using rsync. if [ "$1" == "" ] ; then echo "usage: $0 destination" @@ -38,7 +37,7 @@ else echo "generate-documentation.py failed" fi -# Revert changes to dygraph-combined.js and docs. +# Revert changes to docs. git checkout docs/download.html rm docs/options.html rm -rf $temp_dir diff --git a/scripts/release.sh b/scripts/release.sh index 21c0c34..34a0fd1 100755 --- a/scripts/release.sh +++ b/scripts/release.sh @@ -32,25 +32,16 @@ if [ $? -ne 0 ]; then exit 1 fi -grep "v$VERSION" bower.json -if [ $? -ne 0 ]; then - echo "Version in bower.json doesn't match command line argument." >&2 - exit 1 -fi - grep "$VERSION" releases.json if [ $? -ne 0 ]; then echo "Version $VERSION does not appear in releases.json." >&2 exit 1 fi -rm dygraph-combined.js # changes to this will make the tests fail. -make lint test test-combined -if [ $? -ne 0 ]; then - echo "Tests failed. Won't release!" >&2 - exit 1 -fi -git reset --hard # make test-combined deletes the source map +set -o errexit +npm run build +npm run test +set +o errexit # Push a permanent copy of documentation & generated files to a versioned copy # of the site. This is where the downloadable files are generated. @@ -62,11 +53,7 @@ if [ $? -ne 0 ]; then exit 1 fi -# Everything is good. -# Switch to the "releases" branch, merge this change and tag it. -echo "Switching branches to do the release." -git checkout releases -git merge --no-ff $branch +set -o errexit COMMIT=$(git rev-parse HEAD) echo "Tagging commit $COMMIT as version $VERSION" @@ -78,8 +65,6 @@ echo "Pushing the new version to dygraphs.com..." ./push-to-web.sh dygraphs.com:dygraphs.com echo "Success!\n" -echo "Don't forget to merge changes on this branch back into master:" -echo "git merge --no-ff $branch" # Discourage users from working on the "releases" branch. git checkout master diff --git a/scripts/weigh-in.sh b/scripts/weigh-in.sh index b46f8c8..e3d0b99 100755 --- a/scripts/weigh-in.sh +++ b/scripts/weigh-in.sh @@ -10,7 +10,7 @@ if [ -z "$GITHUB_TOKEN" ]; then else curl -O https://raw.githubusercontent.com/danvk/travis-weigh-in/master/weigh_in.py - python weigh_in.py dist/dygraph-combined.js + python weigh_in.py dist/dygraph.min.js gzip -c dist/dygraph.min.js > dist/dygraph.min.js.gz python weigh_in.py dist/dygraph.min.js.gz -- 2.7.4